$AppServerNameAndPort="localhost:1431"
$BindingType = "nettcp"

Add-PSSnapin Symantec.CSM.PS.Assets.SnapIn -ErrorAction SilentlyContinue

Write-host 'By default script will list found assets, to remove them run the script with "-remove" parameter'

foreach ($asset in get-content asset_list.txt) {
	
	
	if ($args[0] -eq "-remove") {
		
		$exp = 'Search-Assets -Filter {("symc-csm-AssetSystem-Asset-Wnt-Machine-HostName,equalto,' + $asset + '") -or ("displayname,startswith,' + $asset + ':") -or ("displayname,equalto,' + $asset + '")} | Remove-Assets'		
	} else {
		$exp = 'Search-Assets -Filter {("symc-csm-AssetSystem-Asset-Wnt-Machine-HostName,equalto,' + $asset + '") -or ("displayname,startswith,' + $asset + ':") -or ("displayname,equalto,' + $asset + '")} | %{"{0,10};{1,20}" -f $_.DisplayName,$_.Path}'
				
	}
	
	iex $exp 
}
